package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 服务区域规划明细结果
 * @Author: CaoZixuan
 * @Date: 2023-11-17
 */
public class ServiceRegionDetailResult {
    @ApiModelProperty(value = "服务区域规划明细id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceRegionDetailId;

    @ApiModelProperty(value = "国家")
    private String county;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "区县")
    private String area;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "服务区域规划id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceRegionId;

    @ApiModelProperty(value = "大区经理id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long leadId;

    @ApiModelProperty(value = "大区经理名称")
    private String leadName;

    @ApiModelProperty(value = "大区名称")
    private String regionName;


    public Long getServiceRegionDetailId() {
        return serviceRegionDetailId;
    }

    public void setServiceRegionDetailId(Long serviceRegionDetailId) {
        this.serviceRegionDetailId = serviceRegionDetailId;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Long getServiceRegionId() {
        return serviceRegionId;
    }

    public void setServiceRegionId(Long serviceRegionId) {
        this.serviceRegionId = serviceRegionId;
    }

    public Long getLeadId() {
        return leadId;
    }

    public void setLeadId(Long leadId) {
        this.leadId = leadId;
    }

    public String getLeadName() {
        return leadName;
    }

    public void setLeadName(String leadName) {
        this.leadName = leadName;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }
}
